Bug 145015 - net-im/prosody rc.d script doesn't stop the server when expected
Summary: net-im/prosody rc.d script doesn't stop the server when expected
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: David Thiel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-24 23:10 UTC by Yngvi Hrafn Pétursson
Modified: 2010-06-11 17:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yngvi Hrafn Pétursson 2010-03-24 23:10:00 UTC
the startup script for the port net-im/prosody is incomplete and
 dose not stop the server when expected

Fix: 

add this in the /usr/local/etc/rc.d/prosody file:


stop_cmd=prosody_stop_cmd

prosody_stop_cmd()
{
        /usr/local/bin/prosodyctl stop  
}
How-To-Repeat: install the port on fresh box.
configure the requirements in /usr/local/etc/prosody/prosody.cfg.lua
Comment 1 Stefan Walter freebsd_committer 2010-05-21 11:42:30 UTC
Dear maintainer of net-im/prosody,

a problem report has been submitted for your port for which your 
feedback might be required; its contents can be found at [1]. If it 
contains a patch or suggestions for a change, please send a followup to 
the PR explaining whether or not you approve it and want it to be 
committed.

Regards,
Stefan

[1]: http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/145015
Comment 2 Jon Kelly Hays 2010-05-23 06:16:20 UTC
Approved. Please commit.

PS. I am working on an upgrade to version 0.6.2. I hope to have it ready
soon. I will try to make sure this works in that version.

Thanks,
  Kelly
Comment 3 David Thiel freebsd_committer 2010-06-11 17:41:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lx

I'll take it.
Comment 4 David Thiel freebsd_committer 2010-06-11 17:49:12 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 5 dfilter service freebsd_committer 2010-06-11 17:49:23 UTC
lx          2010-06-11 16:49:08 UTC

  FreeBSD ports repository

  Modified files:
    net-im/prosody       Makefile 
    net-im/prosody/files prosody.in 
  Log:
  Fix rc.d script so that it stops the server when requested.
  
  PR:             ports/145015
  Submitted by:   Yngvi Hrafn Pétursson
  Approved by:    Kelly Hays <kelly.hays@jkhfamily.org> (maintainer)
  
  Revision  Changes    Path
  1.6       +1 -1      ports/net-im/prosody/Makefile
  1.3       +6 -0      ports/net-im/prosody/files/prosody.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"